#include<iostream>
#include<vector>
using namespace std;
long long n;
vector <long long> skii;
long long del;
long long br = 1;
int main (){
    cin>>n;
    for(long long i = 2; i <= n; i ++){
        long long tek = 0;
        while(n%i == 0){
            n=n/i;
            del++;
            tek++;
        }
        skii.push_back(tek);
    }
    if(del == 1 || del == 0){
        cout<<1;
        return 0;
    }
    if(del > 1){
        br += del-1;
    }
    br+=(del-1)*(del-2)/2;
    for(int i = 0; i < skii.size(); i ++){
        br = br - (skii[i]-1)/2;
    }
    cout<<br<<endl;

    return 0;
}
